(function($){
	$.fn.top = function(options) {

		var defaults = {
			proximity: 0
		};

		var options = $.extend(defaults, options);

		return this.each(function() {
			var obj = this;
			$(obj).bind("scroll", function() {
				if (obj == window) {
					scrollHeight = $(document).height();
				}
				else {
					scrollHeight = $(obj)[0].scrollHeight;
				}
				if ( $(obj).scrollTop() / scrollHeight <= options.proximity) {
					$(obj).trigger("top");
				}
			});

			return false;
		});
	};
})(jQuery);
