# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from command import Command
from ionas.request import Entry


class LumpRegist(Command):
    try:
        from fal_info import FAL_LUMPREGIST_PATH as COMMAND
    except:
        COMMAND_NAME = 'fal_lumpregist.py'

    TYPE_QUERY = 'query'

    def __init__(self, *args, **kwargs):
        super(LumpRegist, self).__init__(*args, **kwargs)

    def _query(self):
        entry = Entry(self.TYPE_QUERY, '<lumpregist />')
        return self.request(entry)

    def query(self):
        return self._query()


if __name__ == '__main__':
    i = LumpRegist()

    print i.query()
