# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from ..text import TextField


class LandiskCommentField(TextField):
#    widget = forms.widgets.TextInput
    default_validators = []  #FIXME
    default_error_messages = {
#        'required': _(u'This field is required.'),
#        'invalid': _(u'Enter a valid value.'),
#        'max_length': _(u'Ensure this value has at most %(limit_value)d characters (it has %(show_value)d).'),
#        'min_length': _(u'Ensure this value has at least %(limit_value)d characters (it has %(show_value)d).'),
    }

    def __init__(self,
            max_length=48,
            min_length=0,
            required=False,
            *args, **kwargs):
        super(LandiskCommentField, self).__init__(
                max_length=max_length,
                min_length=min_length,
                required=required,
                *args, **kwargs)
