# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from ..radio import RadioField


class ProxyModeField(RadioField):
    def __init__(self, initial=None, *args, **kwargs):
        super(ProxyModeField, self).__init__(
                choices=(
                        ('disable', _(u'Do not use')),
                        ('pacfile', _(u'Use pacfile')),
                        ('manual', _(u'Set manually')),
                ),
                initial=initial or 'disable',
                *args, **kwargs)
