# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
#from django import forms
from ..select import SelectField


class SpindownTimeField(SelectField):
    #widget = forms.widgets.Select
    default_error_message = {
    #    'required': _(u'This field is required.'),
    #    'invalid': _(u'Enter a valid value.'),
    #    'invalid_choice': _(u'Select a valid choice. %(value)s is not one of the available choices.'),
    }

    def text(self, value):
        try:
            return dict(self.choices)[value]
        except:
            return value

    def __init__(self, *args, **kwargs):
        if 'choices' not in kwargs:
            kwargs['choices'] = (
                    ('10', _(u'10 Minutes')),
                    ('15', _(u'15 Minutes')),
                    ('20', _(u'20 Minutes')),
                    ('30', _(u'30 Minutes')),
                    ('60', _(u'1 Hour')),
                    ('0', _(u'NO')))
            kwargs['initial'] = 'no'
        super(SpindownTimeField, self).__init__(*args, **kwargs)
