# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django import forms
from django.core import validators
from ..text import TextField
from validators.fal import FALValidator
from fal_validinfo import UncShare


class UncShareValidator(FALValidator):
    validator = UncShare.VALIDATOR


class UncShareField(TextField):
    default_error_messages = {}
    default_validators = [UncShareValidator()]

    def __init__(self, max_length=UncShare.MAX_COUNT, *args, **kwargs):
        super(UncShareField, self).__init__(
                max_length=max_length,
                *args, **kwargs)
