# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django import forms
#from django.core import validators
from ..select import SelectField


class UPSShutdownDelayField(SelectField):
#    widget = forms.widgets.Select
    default_error_messages = {
#        'required': _(u'This field is required.'),
#        'invalid': _(u'Enter a valid value.'),
#        'invalid_choice': _(u'Select a valid choice. %(value)s is not one of the available choices.'),
        }
#    default_validators = []

    def __init__(self, initial=1, *args, **kwargs):
        super(UPSShutdownDelayField, self).__init__(
                choices=((v, '%s%s' % (v, _(u'minutes'))) for v in (1, 5, 10)),
                initial=initial,
                *args, **kwargs)
