# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django.http import HttpResponseRedirect, HttpResponse
from django.utils import simplejson
import os
import re
from project.view import RootView
from root.modules.form import BaseForm
import settings


class UpdateView(RootView):
    views = []

    def view(self, request):
        return {
            self.KEY_RESPONSE: HttpResponse(
                    simplejson.dumps({'announces': self._announces()}),
                    mimetype="application/json; charset=UTF-8;")}

    def _announces(self):
        announces = []
        try:
            from project.fal.announce import Announce
            announces = [a['message'] for a in reversed(Announce().query())]
        except:
            pass
        return announces
