# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.conf.urls import patterns, include, url
from django.http import HttpResponseRedirect
import settings
from root.modules.utils import to_importable_path as ipath
from root.modules.utils import pwd
from ..urls import add
from views import LogView, DownloadView


if settings.IS_ENABLE:
    urlpatterns = patterns('',
        url(r'^$', lambda r: HttpResponseRedirect('./accesslog')),
        url(r'^accesslog(;sort:(?P<sort>(timestamp|none));reverse:(?P<reverse>(false|true));page:(?P<page>\d{1,5}))?$', LogView.as_view()),
        url(r'^download$', DownloadView.as_view()),
    )
    add(urlpatterns, pwd())
else:
    urlpatterns = patterns('',)
