# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.conf.urls import patterns, include, url
import settings
from root.modules.utils import to_importable_path as ipath
from root.modules.utils import pwd
from views import RunningView, ProcessingView
from ..urls import add


if settings.IS_ENABLE:
    urlpatterns = patterns('',
        url(r'^$', '.'.join([ipath(pwd()), 'views.root'])),
        url(r'^menu$', '.'.join([ipath(pwd()), 'views.menu'])),
        url(r'^running$', RunningView.as_view()),
        url(r'^processing(/(?P<function>(backup|restore)))?$', ProcessingView.as_view()),
    )
    add(urlpatterns, pwd())
else:
    urlpatterns = patterns('',)
