# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

from django.utils.translation import ugettext as _
import disabled_service_func as func
from project.fal.backups import Backups


def get_backup_dst_ro(share_name="", **kwargs):
    if not share_name:
        return {}

    if Backups().is_bkup_dst(share_name):
        return {"backup_dst_ro":
            _(u"'readonly' can not be disabled, because the share folder is assigned to backup destination.")}

    return {}
