# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django.conf import settings
from .. import settings as ps
import os


# unique

# common
NAME = os.path.basename(os.path.dirname(os.path.abspath(__file__)))
ID = ps.ID + NAME
IS_ENABLE = bool(len([button for button in settings.FEATURES(["deviceinfo", "buttonlist"]) if button["name"] == "func"]))
NAME_FORDISPLAY = _(u'func button setting')
IS_MENU_ITEM = IS_ENABLE
IS_MENU_TAIL = True
MENU_ORDER = 100
MENU_URL = '/'.join([ps.MENU_URL, NAME])
MENU_ICON = 'FuncBtn.png'

MENU_HELP_TEXT = u"" if _(u"MENU_HELP_TEXT: system button func") == u"MENU_HELP_TEXT: system button func" else _(u"MENU_HELP_TEXT: system button func")