# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

from __future__ import with_statement

import os

# パッケージのインストールスクリプトが出力するエラー内容ファイル。
# /var/tmpはsticky bitがたっており、別ユーザで作られた
# 777のファイルを削除できない。
# 該当するのは直下のみなので、dirを１つかました。
ERR_MSG_FILE_PATH = "/var/tmp/package_errmsg/text"


def get_append_err_msg():
    msg = ""
    if os.path.exists(ERR_MSG_FILE_PATH):
         with open(ERR_MSG_FILE_PATH, "r") as file:
             msg = file.read()
         os.unlink(ERR_MSG_FILE_PATH)
    return msg
