# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.conf.urls import patterns, include, url
import settings
from root.modules.utils import to_importable_path as ipath
from root.modules.utils import pwd
from ..urls import add
from views import ShutdownView


if settings.IS_ENABLE:
    urlpatterns = patterns('',
        url(r'^$',
            '.'.join([ipath(pwd()), 'views.root'])),
        url(r'^shutdown$',
            '.'.join([ipath(pwd()), 'views.shutdown'])),
        url(r'^shutdownconfirm$',
            '.'.join([ipath(pwd()), 'views.shutdownconfirm'])),
        url(r'^rebootconfirm$',
            '.'.join([ipath(pwd()), 'views.rebootconfirm'])),
        url(r'^shutdownexec$',
            '.'.join([ipath(pwd()), 'views.shutdownexec'])),
        url(r'^rebootexec$',
            '.'.join([ipath(pwd()), 'views.rebootexec'])),
    )
    add(urlpatterns, pwd())
else:
    urlpatterns = patterns('',)
