# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django.http import HttpResponseRedirect
#from root.modules.view import FuncView
from project.view import FuncView
from root.modules.form import BaseForm
from project.forms.fields.text import TextField
from ..views import Check, Form
from project.forms.fields.extras.fqdn import PingField

NAME = _(u'Ping')
NUM = 1000

class Check(Check):
    NAME = 'ping'
    XML_FMT_CHECK_TAG = '<check name="%(NAME)s" enable="%(ENABLE)s">%(ip)s</check>'

class Form(Form):
    ip = PingField(label=_(u'Destination Host'), required=True)
