# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.conf.urls import patterns, include, url
import settings
from root.modules.utils import to_importable_path as ipath
from root.modules.utils import pwd
from ..urls import add

from root.urls import FORMAT

if settings.IS_ENABLE:
    urlpatterns = patterns('',
        url(r'^$', '.'.join([ipath(pwd()), 'views.root'])),
        url(r'^timeout(?P<url>%s)$' % FORMAT, '.'.join([ipath(pwd()), 'views.timeout'])),
        url(r'^timeout', '.'.join([ipath(pwd()), 'views.timeout'])),
#        url(r'^timeout$', '.'.join([ipath(pwd()), 'views.timeout'])),
    )
    add(urlpatterns, pwd())
else:
    urlpatterns = patterns('',)
