# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django.http import HttpResponseRedirect
from project.view import FuncView
from project.fal.group import Group
from .. import settings as ps


def root(request):
    return HttpResponseRedirect('./list')


class ListView(FuncView):
    views = ['add']
 
    def view(self, request):
        return {
            self.KEY_TEMPLATE: self.TEMPLATE,
            self.KEY_TEMPLATE_DIC: {
                'groups': Group().load(),
                'domain_groups': dict([(upn, {'name': upn}) for upn in Group().wbinfo_g()]),
#                'domain_groups': Group().domain_list(),
            },
        }

    def view_add(self, request):
        return {
            self.KEY_REDIRECT: \
            "/".join([ps.MENU_URL, ps.ADD_APPLI, ps.ADD_VIEW])}

list = ListView.as_view()
