# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from .. import settings as ps


def enabled():
    try:
        from project.fal.sysinfo import SysInfo
        if SysInfo().query()['series'] in ['HDL4-HEX']:
            return True
        return False
    except:
        return True

# unique

# common
NAME = 'extend'
ID = ps.ID + NAME
IS_ENABLE = enabled()
NAME_FORDISPLAY = _(u'Volume Extend')
IS_MENU_ITEM = IS_ENABLE
IS_MENU_TAIL = True
MENU_ORDER = 600
MENU_URL = '/'.join([ps.MENU_URL, NAME])
MENU_ICON = 'volumeextend.png'

MENU_HELP_TEXT = u"" if _(u"MENU_HELP_TEXT: volume internal extend") == u"MENU_HELP_TEXT: volume internal extend" else _(u"MENU_HELP_TEXT: volume internal extend")