# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.conf.urls import patterns, include, url
from django.http import HttpResponseRedirect
import settings
from root.modules.utils import to_importable_path as ipath
from root.modules.utils import pwd
from ..urls import add

from views import InternalVolumeFormatView, MkfsStatusView, RaidStatusView


if settings.IS_ENABLE:
    urlpatterns = patterns('',
        url(r'^$', lambda r: HttpResponseRedirect("./format")),
#        url(r'^format$', '.'.join([ipath(pwd()), 'views.format'])),
#        url(r'^status$', '.'.join([ipath(pwd()), 'views.status'])),
        url(r'^format$', InternalVolumeFormatView.as_view()),
        url(r'^mkfsstatus$', MkfsStatusView.as_view()),
        url(r'^raidstatus$', RaidStatusView.as_view()),
    )
#    add(urlpatterns, pwd())
else:
    urlpatterns = patterns('',)
