# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from .. import settings as ps
from django.conf import settings


def __is_enabled():
    try:
        from project.fal.features import Features
        features = Features().query()

        hotswap_devices = [d for d in features["deviceinfo"]["satalist"] if not d["coldswaponly"]]
        if len(hotswap_devices):
            for v in features.get("raidvolumelist", []):
                if v.get("name", "") == "sataraid1":
                    return "vfsext" in v.get("modelist", [])
        return False
    except:
        return True

# unique

# common
NAME = 'remove'
ID = ps.ID + NAME
#IS_ENABLE = True
IS_ENABLE = __is_enabled()
NAME_FORDISPLAY = _(u'remove')
IS_MENU_ITEM = IS_ENABLE
IS_MENU_TAIL = True
MENU_ORDER = 400
MENU_URL = '/'.join([ps.MENU_URL, NAME])
MENU_ICON = 'Remove.png'

MENU_HELP_TEXT = u"" if _(u"MENU_HELP_TEXT: volume internal remove") == u"MENU_HELP_TEXT: volume internal remove" else _(u"MENU_HELP_TEXT: volume internal remove")
