# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from .. import settings as ps


# unique
PORT = ps.PORT
USB = ps.USB

# common
NAME = 'checkdisk'
ID = ps.ID + NAME
IS_ENABLE = True
NAME_FORDISPLAY = _(u'checkdisk')
IS_MENU_ITEM = IS_ENABLE
IS_MENU_TAIL = True
MENU_ORDER = 200
MENU_URL = '/'.join([ps.MENU_URL, NAME])
MENU_ICON = 'CheckDiskUSB.png'

help_table = {
    'usb1': u"" if _(u"MENU_HELP_TEXT: volume usb1 checkdisk") == u"MENU_HELP_TEXT: volume usb1 checkdisk" else _(u"MENU_HELP_TEXT: volume usb1 checkdisk"),
    'usb2': u"" if _(u"MENU_HELP_TEXT: volume usb2 checkdisk") == u"MENU_HELP_TEXT: volume usb2 checkdisk" else _(u"MENU_HELP_TEXT: volume usb2 checkdisk"),
    'usb3': u"" if _(u"MENU_HELP_TEXT: volume usb3 checkdisk") == u"MENU_HELP_TEXT: volume usb3 checkdisk" else _(u"MENU_HELP_TEXT: volume usb3 checkdisk"),
    'usb4': u"" if _(u"MENU_HELP_TEXT: volume usb4 checkdisk") == u"MENU_HELP_TEXT: volume usb4 checkdisk" else _(u"MENU_HELP_TEXT: volume usb4 checkdisk"),
}
MENU_HELP_TEXT = help_table.get(USB, NAME_FORDISPLAY)
