# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from .. import settings as ps


# unique
PORT = ps.PORT
USB = ps.USB

# common
NAME = 'format'
ID = ps.ID + NAME
IS_ENABLE = True
NAME_FORDISPLAY = _(u'format')
IS_MENU_ITEM = IS_ENABLE
IS_MENU_TAIL = True
MENU_ORDER = 100
MENU_URL = '/'.join([ps.MENU_URL, NAME])
MENU_ICON = 'FormatUSB.png'

help_table = {
    'usb1': u"" if _(u"MENU_HELP_TEXT: volume usb1 format") == u"MENU_HELP_TEXT: volume usb1 format" else _(u"MENU_HELP_TEXT: volume usb1 format"),
    'usb2': u"" if _(u"MENU_HELP_TEXT: volume usb2 format") == u"MENU_HELP_TEXT: volume usb2 format" else _(u"MENU_HELP_TEXT: volume usb2 format"),
    'usb3': u"" if _(u"MENU_HELP_TEXT: volume usb3 format") == u"MENU_HELP_TEXT: volume usb3 format" else _(u"MENU_HELP_TEXT: volume usb3 format"),
    'usb4': u"" if _(u"MENU_HELP_TEXT: volume usb4 format") == u"MENU_HELP_TEXT: volume usb4 format" else _(u"MENU_HELP_TEXT: volume usb4 format"),
}
MENU_HELP_TEXT = help_table.get(USB, NAME_FORDISPLAY)
