# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from .. import settings as ps


# unique
PORT = ps.PORT
USB = ps.USB

# common
NAME = 'remove'
ID = ps.ID + NAME
IS_ENABLE = True
NAME_FORDISPLAY = _(u'remove')
IS_MENU_ITEM = IS_ENABLE
IS_MENU_TAIL = True
MENU_ORDER = 400
MENU_URL = '/'.join([ps.MENU_URL, NAME])
MENU_ICON = 'USBRemove.png'

help_table = {
    'usb1': u"" if _(u"MENU_HELP_TEXT: volume usb1 remove") == u"MENU_HELP_TEXT: volume usb1 remove" else _(u"MENU_HELP_TEXT: volume usb1 remove"),
    'usb2': u"" if _(u"MENU_HELP_TEXT: volume usb2 remove") == u"MENU_HELP_TEXT: volume usb2 remove" else _(u"MENU_HELP_TEXT: volume usb2 remove"),
    'usb3': u"" if _(u"MENU_HELP_TEXT: volume usb3 remove") == u"MENU_HELP_TEXT: volume usb3 remove" else _(u"MENU_HELP_TEXT: volume usb3 remove"),
    'usb4': u"" if _(u"MENU_HELP_TEXT: volume usb4 remove") == u"MENU_HELP_TEXT: volume usb4 remove" else _(u"MENU_HELP_TEXT: volume usb4 remove"),
}
MENU_HELP_TEXT = help_table.get(USB, NAME_FORDISPLAY)
