# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django import forms
from validator import Validator


class FalValidator(Validator):
    code = 'fal'
    messages = _(u'Validation Error.')
    params = {}

    type = None

    def __init__(self, type=None):
        if type:
            self.type = type

    def __call__(self, value):
        try:
            import subprocess
            request = '<request><entrylist><entry type="validate"><target validator="%s">%s</target></entry></entrylist></request>' % (self.type, value)
            response = subprocess.Popen(
                    ['/tmp/test/fal_validate'],  # FIXME 仮パス
                    stdin=subprocess.Popen(
                            ['echo', request],
                            stdout=subprocess.PIPE).stdout,
                    stdout=subprocess.PIPE).stdout  # file object
            # FIXME result の取り方 (entry class とか使う)
            from xml.etree.ElementTree import ElementTree, tostring
            elem = ElementTree(file=response).getroot()
            result = elem.find("entrylist").find("entry").get("result")
            if result != '0':
                raise  # FIXME result コードに対して適切なmsgをraiseするように
        except:
            raise forms.ValidationError(
                self.messages % self.params,
                code=self.code,
                params=self.params)
