# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django import forms


class Validator(object):
    code = 'invalid'
    message = _(u'Sample %(abc)s')
    params = {'abc': 123}

    def __init__(self):
        pass

    def __call__(self, value):
        valid = True
        if valid:
            raise forms.ValidationError(
                    self.message % self.params,
                    code=self.code,
                    params=self.params)
        else:
            pass
