# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
import datetime

class Log(object):
    DATETIME = 'datetime'
    LEVEL = 'level'
    CATEGORY = 'category'
    MESSAGE = 'message'

    def __init__(self, **kwargs):
        self.load(**kwargs)

    def load(self,
            sort='datetime',  #ソートキー
            reverse=False,  #逆順
            datetime=[None, None],  #日時指定 [から, まで] datetime型
            level=None,  #ログレベル指定 ['info', 'warning', 'error']
            category=None,  #カテゴリ指定 [] FIXME パッケージ追加で増える
            ):
        """
        複数回の取得で連続したログ取得のために対象のログリストを
        オブジェクトとしてもつ
        以下のような場合でも連続したログになるように
            self.line(from=1, to=10)
            ログ追加
            self.line(from=11, to=20)
        """
        self._obj = ''

    def line(self,
            from_=1,
            to=10):
        return self.dummy()[from_ - 1:to]
    def dummy(self):
        return [['2012/12/12 12:12:12', 'error', 'network', 'msg%d' % l] for l in range(1, 123)]
