from django.conf.urls import patterns, include, url
import logging


urlpatterns = patterns('',
    url(r'^', include('root.urls')),
)

def _urls(patterns, prefix=''):
    urls = []
    for pattern in patterns:
#        urls.append("%s %s" % (prefix, pattern.regex.pattern))
        url = "%s %s" % (prefix, pattern.regex.pattern)
        if hasattr(pattern, 'url_patterns'):
#            urls.extend(_urls(pattern.url_patterns, prefix=urls[-1]))
            urls.extend(_urls(pattern.url_patterns, prefix=url))
        else:
            urls.append(url)
    return urls

logger = logging.getLogger('custom')
for url in _urls(urlpatterns):
    logger.debug(url)
