TARGETS = mountkernfs.sh udev mountdevsubfs.sh bootlogd keyboard-setup hostname.sh hdparm hwclockfirst.sh checkroot.sh mdadm-raid ifupdown-clean hwclock.sh module-init-tools mtab.sh cryptdisks-early ifupdown cryptdisks checkfs.sh mountall.sh mountall-bootclean.sh landisk-model.sh init_hdl-aa_udev mountoverflowtmp networking urandom x11-common procps udev-mtab rpcbind console-screen.sh console-setup quota fuse bootmisc.sh lm-sensors stop-bootlogd-single
INTERACTIVE = udev keyboard-setup checkroot.sh cryptdisks-early cryptdisks checkfs.sh console-screen.sh console-setup
udev: mountkernfs.sh
mountdevsubfs.sh: mountkernfs.sh udev
bootlogd: mountdevsubfs.sh
keyboard-setup: mountkernfs.sh udev bootlogd
hostname.sh: bootlogd
hdparm: mountdevsubfs.sh udev bootlogd
hwclockfirst.sh: bootlogd mountdevsubfs.sh
checkroot.sh: mountdevsubfs.sh hostname.sh hwclockfirst.sh hdparm bootlogd keyboard-setup
mdadm-raid: mountkernfs.sh hostname.sh udev
ifupdown-clean: checkroot.sh
hwclock.sh: checkroot.sh bootlogd
module-init-tools: checkroot.sh
mtab.sh: checkroot.sh
cryptdisks-early: checkroot.sh udev mdadm-raid
ifupdown: ifupdown-clean
cryptdisks: checkroot.sh cryptdisks-early udev mdadm-raid
checkfs.sh: cryptdisks mdadm-raid checkroot.sh mtab.sh
mountall.sh: mdadm-raid checkfs.sh
mountall-bootclean.sh: mountall.sh
landisk-model.sh: mountall.sh
init_hdl-aa_udev: mountall.sh
mountoverflowtmp: mountall-bootclean.sh
networking: mountkernfs.sh mountall.sh mountoverflowtmp ifupdown
urandom: mountall.sh mountoverflowtmp
x11-common: mountall.sh mountoverflowtmp
procps: bootlogd mountkernfs.sh mountall.sh mountoverflowtmp udev module-init-tools
udev-mtab: udev mountall.sh mountoverflowtmp
rpcbind: networking ifupdown mountall.sh mountoverflowtmp
console-screen.sh: mountall.sh mountoverflowtmp
console-setup: mountall.sh mountoverflowtmp console-screen.sh
quota: mountall.sh mountoverflowtmp
fuse: mountall.sh mountoverflowtmp
bootmisc.sh: mountall.sh mountoverflowtmp udev
lm-sensors: mountall.sh mountoverflowtmp
stop-bootlogd-single: mountall.sh mountoverflowtmp udev console-screen.sh keyboard-setup console-setup cryptdisks cryptdisks-early rpcbind networking ifupdown quota checkroot.sh mdadm-raid checkfs.sh mountkernfs.sh hostname.sh fuse ifupdown-clean hwclock.sh urandom module-init-tools hdparm mountdevsubfs.sh mtab.sh hwclockfirst.sh bootlogd x11-common mountall-bootclean.sh procps bootmisc.sh landisk-model.sh udev-mtab init_hdl-aa_udev lm-sensors
