// FIXME コメント消す
// [システム]-[自己診断] ページ用
// checkbox にチェックをつけたテスト項目に対して順番にテスト実行していく
SelfTest = function(checkboxname) {
	this.checkboxs = document.getElementsByName(checkboxname);
	this._items = Array();

	this.imgWait = document.createElement("img");
	this.imgWait.src = "/media/img/common/waiting.gif";
	this.imgWait.alt = "Waiting";

	this.imgOK = document.createElement("img");
	this.imgOK.src = "/media/img/func/system/selftest/ok.gif";
	this.imgOK.alt = "OK";

	this.imgNG = document.createElement("img");
	this.imgNG.src = "/media/img/func/system/selftest/ng.gif";
	this.imgNG.alt = "NG";
}
SelfTest.prototype = {
	run:function() {
		for (var i=0; i<this.checkboxs.length; i++) {
			if (this.checkboxs[i].checked) {
				this._items[this._items.length] = this.checkboxs[i].id;
this._test(this.checkboxs[i].id);
//this._check(this.checkboxs[i].id);
			}
		}
//		if (this._items.length) {
//			this._test(this._items.shift());
//		}
	},
	_test:function(id) {
		var obj = this;
		var tdResult = document.getElementById(id + "Result");
		this._deleteChild(tdResult);
		tdResult.appendChild(this.imgWait.cloneNode(true));

		$.ajax({
			url:"tests/"+id+"/test",
			type:"POST",
			data:formToHash(id+"Form"),
			dataType:"json",
			timeout:1000,
			cache:false,
			success:function(data,dataType) {
			},
			error:function(XMLHttpRequest,textStatus,errorThrown) {
			},
			complete:function(XMLHttpRequest,textStatus) {
				obj._check(id);
			}
		});
	},
	_check:function(id) {
		var obj = this;
		var tdResult = document.getElementById(id+"Result");
		$.ajax({
			url:"tests/"+id+"/result",
			type:"GET",
			dataType:"json",
			timeout:60000,
			cache:false,
			success:function(data,dataType) {
				// data.result: null/true/false
				//              未結果/テストOK/テストNG
				// data.result == 'undefined': テスト未実行
				if (typeof data.result == "undefined") {
//obj._next();
				} else {
					if (data.result == null) {
						obj._check(id);
					} else {
						obj._deleteChild(tdResult);
						if (data.result) {
							tdResult.appendChild(obj.imgOK.cloneNode(true));
						} else {
							tdResult.appendChild(obj.imgNG.cloneNode(true));
						}
//obj._next();
					}
				}
			},
			error:function(XMLHttpRequest,textStatus,errorThrown) {
//FIXME
//obj._next();
			},
			complete:function(XMLHttpRequest,textStatus) {
			}
		});
	},
	_next:function() {
		if (this._items.length) {
			this._test(this._items.shift());
		}
	},
	_deleteChild:function(elem) {
		for (var i=elem.childNodes.length-1; i>=0; i--) {
			elem.removeChild(elem.childNodes[i]);
		}
	}
}
