var Status = function(url, opts) {

  this.url = url;
  if (! this.url) {
    var err = new Error();
    err.message = 'argument error!';
    throw err;
  }

  this.opts = opts || {};
  this.func_success = this.opts.func_success || this.func_success;
  this.func_error = this.opts.func_error || this.func_error;
  this.func_complete = this.opts.func_complete || this.func_complete;
}

Status.prototype.get = function() {
  var that = this;
  $.ajax({
    type: "GET",
    url: this.url,
    cache: false,
    dataType: "json",
    timeout: this.opts.timeout || 60000,
    success: function(data, dataType){
      that.func_success(data, dataType);
      that.get();},
    error: function(XMLHttpRequest, textStatus, errorThrown){
      that.func_error(XMLHttpRequest, textStatus, errorThrown);
      if (textStatus == 'timeout') {
        that.get();
      }},
    complete: function(XMLHttpRequest, textStatus){
      that.func_complete(XMLHttpRequest, textStatus);}
  });
}

Status.prototype.func_success = function(data, dataType) {};
Status.prototype.func_error = function(XMLHttpRequest, textStatus, errorThrown) {};
Status.prototype.func_complete = function(XMLHttpRequest, textStatus) {};
