# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from ..radio import RadioField


class EnableField(RadioField):
    def __init__(self, initial=False, *args, **kwargs):
        super(EnableField, self).__init__(
                choices=((True, _(u'Enable')), (False, _(u'Disable'))),
                initial=initial,
                *args, **kwargs)

    def clean(self, value):
        return True if super(EnableField, self).clean(value) == 'True' else False
