# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django import forms
from django.core import validators
from ..text import TextField
from validators.fal import FALValidator
from fal_validinfo import Numeric


class UsedVolValidator(FALValidator):
    validator = Numeric.VALIDATOR
    options = {"min": "1", "max": "100"}


class UsedVolField(TextField):
    default_error_messages = {}
    default_validators = [UsedVolValidator()]
