# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from project.view import FuncView, MenuView
import os


def trendmicro_installed():
    try:
        from project.utils import pwd
        return os.path.exists(os.path.join(pwd(), "..", "maintenance", "tmnas", "views.py"))
    except:
        return False

class AntiVirusView(FuncView):

    def view(self, request):
        template = os.path.join(self.TEMPLATES, 'message.html')
        dictionary = {
            "trendmicro_installed": trendmicro_installed(),
        }
        return {
            self.KEY_TEMPLATE: template,
            self.KEY_TEMPLATE_DIC: dictionary,
        }


class AntiVirusMenuView(MenuView):
    pass
