# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.conf.urls import patterns, include, url
from django.http import HttpResponseRedirect
import settings
from root.modules.utils import to_importable_path as ipath
from root.modules.utils import pwd
from ..urls import add
from views import ListView, DownloadView, FilterView

if settings.IS_ENABLE:
    urlpatterns = patterns('',
#        url(r'^$', lambda r: HttpResponseRedirect('./log')),
#        url(r'^log(?P<page>\d{0,4})$', LogView.as_view()),
        url(r'^$', lambda r: HttpResponseRedirect('./list')),
#        url(
##                r'^log[(:page=(?P<page>\d{1,5}))|(:filtering=(?P<filtering>/d{1}))|(:sort=(?P<sort>/d{1,2}))|(:reverse=(?P<reverse>/d{1}))]*$',
#                r'^log(;page:(?P<page>\d{1,5});filtering:(?P<filtering>\d{1});sort:(?P<sort>\d{1});reverse:(?P<reverse>\d{1}))?$',
##                r'^log$',
#                LogView.as_view()),
        url(r'^list(/(?P<page>\d{1,5}))?$', ListView.as_view()),
#        url(r'^list$', ListView.as_view()),
        url(r'^download$', DownloadView.as_view()),
        url(r'^filter$', FilterView.as_view()),
    )
    add(urlpatterns, pwd())
else:
    urlpatterns = patterns('',)
