# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

from django.conf.urls import patterns, url
import settings
from root.modules.utils import to_importable_path as ipath
from root.modules.utils import pwd
from ..urls import add


if settings.IS_ENABLE:
    urlpatterns = patterns('',
        url(r'^$', '.'.join([ipath(pwd()), 'views.root'])),
        url(r'^initset$', '.'.join([ipath(pwd()), 'views.nasname'])),
        url(r'^nasname$', '.'.join([ipath(pwd()), 'views.nasname'])),
        url(r'^lan1ipv4$', '.'.join([ipath(pwd()), 'views.lan1ipv4'])),
        url(r'^time$', '.'.join([ipath(pwd()), 'views.time'])),
        url(r'^shares$', '.'.join([ipath(pwd()), 'views.shares'])),
        url(r'^confirm$', '.'.join([ipath(pwd()), 'views.confirm'])),
    )
    add(urlpatterns, pwd())
else:
    urlpatterns = patterns('',)
