# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django.http import HttpResponseRedirect, HttpResponse
from django.utils import simplejson
from project.view import MenuView, RootView
from project.fal.backups import Backups
import settings


def root(request):
    return HttpResponseRedirect('./menu')

class MenuView(MenuView):
    pass


class RunningView(RootView):

    def view(self, request):
        running = {
        #   'jobid': True/False,
        }
        try:
            backups = Backups()
            for jid, jprm in backups.query()['datacopy'].iteritems():
                running[jid] = jprm['status'] in ['PROCESSING', 'QUEUE']
        except:
            pass
        return {
            self.KEY_RESPONSE: HttpResponse(simplejson.dumps(running),
                                            mimetype="application/json;charset=UTF-8;"),
        }

menu = MenuView.as_view()

