# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.conf.urls import patterns, include, url
from django.http import HttpResponseRedirect
import settings
from views import GuideView, RegView, GoView, CodeView


if settings.IS_ENABLE:
    urlpatterns = patterns(
        '',
        url(r'^$', lambda r: HttpResponseRedirect('./guide')),
        url(r'^guide$', GuideView.as_view()),
        url(r'^reg$', RegView.as_view()),
        url(r'^gonarsus$', GoView.as_view()),
        url(r'^code$', CodeView.as_view()),
    )
else:
    urlpatterns = patterns(
        '',
        url(r'^', lambda r: HttpResponseRedirect('/admin/main')),
    )
