# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django.core.exceptions import ValidationError
from fal_validinfo import IpAddress
from project.forms.fields.extras.validators.fal import FALValidator


def ip_v4_netmask_validate(ipaddr, netmask):
    try:
        class IPv4NetmaskValidator(FALValidator):
            validator = IpAddress.VALIDATOR
            options = {"family": "4", "netmask": netmask}
        v = IPv4NetmaskValidator()
        v(ipaddr)
    except ValidationError, ins:
        raise ValidationError(_(u"IP Address") + ": " + ins.messages[0])
