# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django.conf import settings
import os


def enabled(share_node):
    try:
        if float(share_node.get_value('shareservice/msshare/quota/limit')):
            return True
        return False
    except:
        return False

def name():
    return _(u'quota')

def icon():
    dir_ = os.path.join(settings.STATIC_URL, 'img', 'share', 'icon')
    return os.path.join(dir_, 'quota.png')
