# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
#from root.modules.form.fields.checkbox import CheckboxField
from project.forms.fields.checkbox import CheckboxField
from project.forms.fields.extras.enable import EnableField
from project.forms.fields.extras.quota import QuotaLimitField
from project.fal.quota import Quota as FQuota


fields = {
    'msshare': CheckboxField(label=_(u'msshare'), initial=True),
    'trash': CheckboxField(label=_(u'trashbox'), required=False, initial=False),
    'hidden': CheckboxField(label=_(u'hidden'), required=False, initial=False),
    'quota_limit': QuotaLimitField(
            attrs=None if FQuota().is_enabled() else {'readonly': 'readonly'},
            label=_(u'quota limit'),
            required=False),
}
