# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

import disabled_service_func as func
from project.fal.service import Service

def get_disabled_service(share_name="", **kwargs):
    service_dict = Service().query(category_list=["share"])
    disabled_service_list = []
    get_func_name_list = [
        attr for attr in dir(func) if attr.startswith(func.PREFIX)]
    for get_func_name in get_func_name_list:
        get_func = getattr(func, get_func_name)
        disabled_service_list += get_func(share_name, service_dict)
    if disabled_service_list:
        return {"disabled_service_list": sorted(disabled_service_list)}
    else:
        return {}
