# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from .. import settings as ps


# unique
NAME_INFO = "name"
DESC_INFO = "desc"
QUOTA_LIMIT_INFO = "quota_limit"
RO_USER_INFO = "ro_user"
RW_USER_INFO = "rw_user"
RO_GROUP_INFO = "ro_group"
RW_GROUP_INFO = "rw_group"
QUOTA_CURRENT_INFO = "quota_current"
MULTI_QUOTA_LIMIT_INFO = "multi_quota_limit"

LIST_APPLI = "list"
LIST_VIEW = "list"
ADD_APPLI = "add"
ADD_VIEW = "add"
DELETE_MULTI_VIEW = "delete_multi"

# common
NAME = 'folder'
ID = ps.ID + NAME
IS_ENABLE = True
NAME_FORDISPLAY = _(u'folder')
IS_MENU_ITEM = IS_ENABLE
IS_MENU_TAIL = False
MENU_ORDER = 100
MENU_URL = '/'.join([ps.MENU_URL, NAME])
MENU_ICON = 'Folder.png'

MENU_HELP_TEXT = u"" if _(u"MENU_HELP_TEXT: share folder") == u"MENU_HELP_TEXT: share folder" else _(u"MENU_HELP_TEXT: share folder")