# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.http import HttpResponseRedirect
from project.view import FuncView
from .. import settings as ps


def root(request):
    return HttpResponseRedirect('./detail')


class View(FuncView):
    from ..modules.package import Package
    views = ["list"]
    package = Package()

    def view(self, request, id):
        infos = self.package.get_package_info_by_id(id)
        if infos == {}:
            return {self.KEY_REDIRECT:
                    "/".join([ps.MENU_URL, ps.LIST_APPLI, ps.LIST_VIEW])}
        return {self.KEY_TEMPLATE: self.TEMPLATE,
                self.KEY_TEMPLATE_DIC: {'infos': infos}}

    def view_list(self, request, id):
        return {self.KEY_REDIRECT:
                "/".join([ps.MENU_URL, ps.LIST_APPLI, ps.LIST_VIEW])}


detail = View.as_view()
