# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from ..views import Check, Form
from project.forms.fields.radio import RadioField

NAME = _(u'network shutdown')
NUM = 7000

class ExecField(RadioField):
    def __init__(self, *args, **kwargs):
        
        super(ExecField, self).__init__(
                choices=(
                        ('true', _(u'try to shutdown')),
                        ('false', _(u'try not no shutdown'))),
                initial='false',
                *args, **kwargs)

class Check(Check):
    NAME = 'networkshutdown'
    XML_FMT_CHECK_TAG = '<check name="%(NAME)s" enable="%(ENABLE)s" exec="%(execute)s" />'

class Form(Form):
    execute = ExecField(label=_(u'shutdown'), required=True)


#class CheckStatusView(SelfCheckStatusView):
#    STATUS_FILE_NAME = 'ping_status'  #dummy '%s_status' % [チェック項目名]
