# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.conf.urls import patterns, include, url
import settings
from root.modules.utils import to_importable_path as ipath
from root.modules.utils import pwd
from ..urls import add

from views import View
from django.http import HttpResponseRedirect


if settings.IS_ENABLE:
    urlpatterns = patterns('',
        url(r'^$', lambda r: HttpResponseRedirect('./selfcheck')),
        url(r'^selfcheck$', View.as_view()),
        url(r'^status(?P<name>\w*)$', '.'.join([ipath(pwd()), 'views.status'])),
    )
    add(urlpatterns, pwd())
else:
    urlpatterns = patterns('',)
