# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django.http import HttpResponseRedirect
from project.view import FuncView
from project.fal.user import User
import settings
from .. import settings as ps


def root(request):
    return HttpResponseRedirect('./list')


class ListView(FuncView):

    views = ['add']

    def view(self, request):
        uobj = User()
        userlist = uobj.load()
        for name, info in userlist.iteritems():
            if info.get('fullname'):
                info['showname'] = "%s (%s)" % (info['fullname'], info['name'])
            else:
                info['showname'] = info['name']
        return {
            self.KEY_TEMPLATE: self.TEMPLATE,
            self.KEY_TEMPLATE_DIC: {
#                'users': User().load(),
#                'domain_users': dict([(upn, {'name': upn}) \
#                        for upn in User().wbinfo_u()]),
                'users': userlist,
                'domain_users': dict([(upn, uobj.wbinfo_i(upn)) \
                        for upn in uobj.wbinfo_u()]),
            }
        }

    def view_add(self, request):
        return {self.KEY_REDIRECT:
            "/".join([ps.MENU_URL, ps.ADD_APPLI, ps.ADD_VIEW])}


list = ListView.as_view()
