# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from .. import settings as ps


def is_menu_item():
    try:
        from project.fal.statemgr import Statemgr
        return Statemgr().is_raidcrash()
#        from project.fal.raidctrl import Raidctrl
#        status = Raidctrl().query()['status']
#        if status == 'fail':
#            return True
#        return False
    except:
        return True

# unique

# common
NAME = 'forcerestore'
ID = ps.ID + NAME
IS_ENABLE = True
NAME_FORDISPLAY = _(u'RAID Force Restore')
IS_MENU_ITEM = IS_ENABLE and is_menu_item()
IS_MENU_TAIL = True
MENU_ORDER = 400
MENU_URL = '/'.join([ps.MENU_URL, NAME])
MENU_ICON = 'RaidReturn.png'

def crash_safe():
    return True

MENU_HELP_TEXT = u"" if _(u"MENU_HELP_TEXT: volume internal forcerestore") == u"MENU_HELP_TEXT: volume internal forcerestore" else _(u"MENU_HELP_TEXT: volume internal forcerestore")