# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.conf.urls import patterns, include, url
from info.views import View as InfoView
from _gplv3.views import View as GPLv3View
from _log.views import View as LogView
from resource.views import View as ResourceView
from smartctl.views import View as SmartctlView

urlpatterns = patterns('',
    url(r'^$', 'root.views.root'),
    url(r'^info/info.cgi$', InfoView.as_view()),
    url(r'^_gplv3/_gplv3.cgi$', GPLv3View.as_view()),
    url(r'^_log/_log.cgi$', LogView.as_view()),
    url(r'^resource/', include('root.gate.resource.urls')),
    url(r'^_datetime/', include('root.gate._datetime.urls')),
    url(r'^smartctl.cgi$', SmartctlView.as_view()),
)
