var MoveBox = function(select, subselect, move, remove, submit) {
	// select & subselect はセレクトフィールド(multi)
	// 両者間で要素が移動し、select にある要素をユーザー入力と見做す。
	function _(elem_or_id) {
		return typeof elem_or_id == 'object' ? elem_or_id : document.getElementById(elem_or_id);
	}
	this.select = _(select);
	this.subselect = _(subselect);
	var move = _(move);
	var remove = _(remove);
	var submit = _(submit);

	var that = this;

	move.onclick = function(e){that.move();};
	remove.onclick = function(e){that.remove();};
	that._addEvent(submit, 'click', function(e){that.beforeSubmit();})
}
MoveBox.prototype = {
	_addEvent: function(obj, type, func) {
		try { obj.addEventListener(type, func, false); }
		catch (e) { obj.attachEvent('on'+type, func); }
	},
	_move: function(from, to) {
		if (from.selectedIndex == -1) {return;}
		while (from.selectedIndex >= 0) {
//			to.options[to.options.length] = from.options[from.selectedIndex].cloneNode(true);
			var option = new Option();
			option.text = from.options[from.selectedIndex].text;
			option.value = from.options[from.selectedIndex].value;
			try { option.title = from.options[from.selectedIndex].title; } catch (e) {}
			to.options[to.options.length] = option;
			from.remove(from.selectedIndex);
		}
	},
	move: function() {
		this._move(this.subselect, this.select);
	},
	remove: function() {
		this._move(this.select, this.subselect);
	},
	beforeSubmit: function() {
		for (var i=0; i<this.select.options.length; i++) {
			this.select.options[i].selected = true;
		}
	}
}
